{% extends 'core/base.html' %}
{% load static %}
{% load core_components %}

{% block header %}
<link rel="stylesheet" type="text/css" href="{% static 'docket/css/docket.css' %}">
{% endblock %}

{% block content %}
<form id="sorting-form" method="POST">
	{% csrf_token %}

	<div>Sort Direction</div>
	<fieldset class="sort-tile">
		<div class="sort-tile">
			<div class="sort-tile">
				<input type="radio" name="direction" value="asc" {% if sort.direction == 'asc' %}checked{% endif %} />
				<label>Ascending</label>
			</div>
			<div class="sort-tile">
				<input type="radio" name="direction" value="desc" {% if sort.direction == 'desc' %}checked{% endif %} />
				<label>Descending</label>
			</div>
		</div>

	</fieldset>

	<div>Sort by:</div>
	<fieldset class="list">

		<div class="sort-tile">
			<div class="sort-tile">
				<input type="radio" name="sort" value="title" {% if sort.sort == 'title' %}checked{% endif %} />
				<label>Title</label>
			</div>
			<div class="sort-tile">
				<input type="radio" name="sort" value="category" {% if sort.sort == 'category' %}checked{% endif %} />
				<label>Category</label>
			</div>
		</div>

		<div class="sort-tile">
			<div class="sort-tile">
				<input type="radio" name="sort" value="priority" {% if sort.sort == 'priority' %}checked{% endif %} />
				<label>Priority</label>
			</div>
			<div class="sort-tile">
				<input type="radio" name="sort" value="status" {% if sort.sort == 'status' %}checked{% endif %} />
				<label>Status</label>
			</div>
		</div>

		<div class="sort-tile">
			<div class="sort-tile">
				<input type="radio" name="sort" value="created" {% if sort.sort == 'created' %}checked{% endif %} />
				<label>Created</label>
			</div>
			<div class="sort-tile">
				<input type="radio" name="sort" value="last_update" {% if sort.sort == 'last_update' %}checked{% endif %} />
				<label>Updated</label>
			</div>
		</div>

	</fieldset>

	<input type="submit" value="Save" />
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</form>
{% endblock %}